## org.biojava.bio.search
Class FilterTest.LessThan

    java.lang.Object
      org.biojava.bio.search.FilterTest.LessThan

All Implemented Interfaces:
  FilterTest

Enclosing interface:
  FilterTest

    public static class FilterTest.LessThan

extends Object
implements FilterTest

Tests that the value associated with the specified key is less than the specified threshold. The test assumes that value is a String representing a real number. If not, the test will return null.

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.search.FilterTest
`FilterTest.Equals, FilterTest.FindRegex, FilterTest.GreaterThan, FilterTest.LessThan, FilterTest.MatchRegex`

Constructor Summary
`FilterTest.LessThan(double threshold)`

Method Summary
`boolean` `accept(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterTest.LessThan

    public FilterTest.LessThan(double threshold)

Method Detail

### accept

    public boolean accept(Object value)

  Specified by:
    `accept` in interface `FilterTest`
  Returns:
    returns true if test is successful.